package org.esjug.seamcms.domain;

import javax.persistence.Basic;
import javax.persistence.Entity;

import org.hibernate.validator.Length;
import org.hibernate.validator.NotNull;

@Entity
public class User extends DomainObject {
	@Basic
	@NotNull
	@Length(max = 50)
	private String name;
	
	@Basic
	@NotNull
	@Length(max = 100)
	private String email;
	
	@Basic
	@NotNull
	@Length(max = 32)
	private String password;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}
}
