package org.esjug.seamcms.persistence;

import java.util.List;

import org.esjug.seamcms.domain.DomainObject;

public interface BaseDAO<T extends DomainObject> {
	long retrieveCount();
	
	List<T> retrieveAll();
	
	T retrieveById(Long id);
	
	void save(T object);
	
	void delete(T object);
}
